Payments
Merchant Daily Posting Statement
It is necessary to package the data in the parameter table into JSON strings and use rsa for parameter encryption and signature as data and sign in the body.
POST
/
platformapi
/
chainup
/
open
/
opay
/
merchantBillingDay
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/merchantBillingDay
{
"code": "",
"msg": "",
"data": {
"count": 1000,
"list": [
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
},
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
}
]
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
orderType
string
requiredOrder type (1=payment order; 11=transfer order), do not pass query all orders.
Example: 1
day
string
requiredStatistics of the date, the format: yyyy-MM-dd, does not match the format parameter exception; does not pass the query the order of the day.
Example: 2099-01-01
pageNum
string
requiredQuery the first few pages, the same paging logic; do not pass to check all.
Example: 1
pageSize
string
requiredThe size of each page, the same paging logic; do not pass to check 2000 (the maximum is 2000, data more than 2000 please paging query).
Example: 200
sign
string
requiredAuthorized signature
Response
200 - application/json
code
string
Return code.
msg
string
Success or failure message.
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/merchantBillingDay
{
"code": "",
"msg": "",
"data": {
"count": 1000,
"list": [
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
},
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
}
]
}
}